
From: <pluto@pld-linux.org>

The presence of /proc/kcore is supposed to be configurable.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/Kconfig              |    4 ++--
 25-akpm/include/linux/proc_fs.h |    2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

diff -puN fs/Kconfig~proc-kcore-enable-disable fs/Kconfig
--- 25/fs/Kconfig~proc-kcore-enable-disable	Wed Nov  3 14:09:21 2004
+++ 25-akpm/fs/Kconfig	Wed Nov  3 14:09:21 2004
@@ -855,8 +855,8 @@ config PROC_FS
 	  programs depend on this, so everyone should say Y here.
 
 config PROC_KCORE
-	bool
-	default y if !ARM
+	bool "/proc/kcore support" if !ARM
+	depends on PROC_FS
 
 config SYSFS
 	bool "sysfs file system support" if EMBEDDED
diff -puN include/linux/proc_fs.h~proc-kcore-enable-disable include/linux/proc_fs.h
--- 25/include/linux/proc_fs.h~proc-kcore-enable-disable	Wed Nov  3 14:09:21 2004
+++ 25-akpm/include/linux/proc_fs.h	Wed Nov  3 14:09:21 2004
@@ -227,7 +227,7 @@ extern struct proc_dir_entry proc_root;
 
 #endif /* CONFIG_PROC_FS */
 
-#if !defined(CONFIG_PROC_FS)
+#if !defined(CONFIG_PROC_KCORE)
 static inline void kclist_add(struct kcore_list *new, void *addr, size_t size)
 {
 }
_
